Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class XMLCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.XMLCodec

All Implemented Interfaces:
  CodecFactory

    public class XMLCodec
    extends java.lang.Object

Escapes some characters for inclusion in XML documents. The decoder part can unescape XML entity references.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`Decoder` | `getDecoder()`
`Encoder` | `getEncoder()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getDecoder

    public Decoder getDecoder()

### getEncoder

    public Encoder getEncoder()

Groovy Documentation